Subject: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode

From: Ikumi Keita <[email-masked]>
Date: Mon, 01 Jul 2024 17:44:49 +0900

Hi Arash,

>>>>> Arash Esbati <[email-masked]> writes:
> Thanks.  I wonder why we can't leave this decision to the user?

> ,----[ C-h v org-src-lang-modes RET ]
> | org-src-lang-modes is a variable defined in ‘org-src.el’.
...
> `----

> So people only need to customize

>   ("beamer" . latex)

> to

>   ("beamer" . LaTeX)

> and it should work, IIUC.

I don't think that's enough. If I understand correctly, the major
problem is that LaTeX code block other than beamer code block is handled
by `latex-mode' by default. The doc string of `org-edit-special' says:
,----
| The LaTeX environment is copied into a new buffer.  Major mode is
| set to the one associated to "latex" in ‘org-src-lang-modes’,
| or to ‘latex-mode’ if there is none.
`----
So users have to add another entry
("latex" . LaTeX)
in ‘org-src-lang-modes’.

As I wrote in the separate message, I think AUCTeX can accept to add
such entry by default.

(But adding
   ("latex" . LaTeX)
and changing
   ("beamer" . latex)
to
   ("beamer" . LaTeX)
aren't much trouble, after all. So it's reasonable as well to leave this
decision to the user, of course.)

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW